Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class FileBufferedOasisZip

    java.lang.Object
      net.sf.jasperreports.engine.export.zip.AbstractZip
          net.sf.jasperreports.engine.export.oasis.OasisZip
              net.sf.jasperreports.engine.export.oasis.FileBufferedOasisZip

    public class FileBufferedOasisZip

extends OasisZip

Version:
  $Id: FileBufferedOasisZip.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip
`exportZipEntries`

Constructor Summary
`FileBufferedOasisZip()`
`FileBufferedOasisZip(byte nature)`

Method Summary
`ExportZipEntry` | `createEntry(java.lang.String name)`

Methods inherited from class net.sf.jasperreports.engine.export.oasis.OasisZip
`getContentEntry, getStylesEntry`

Methods inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip
`addEntry, dispose, zipEntries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileBufferedOasisZip

    public FileBufferedOasisZip()
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### FileBufferedOasisZip

    public FileBufferedOasisZip(byte nature)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### createEntry

    public ExportZipEntry createEntry(java.lang.String name)

  Specified by:
    `createEntry` in class `AbstractZip`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com